Skip to main content
POST

Authorizations

Authorization
string
header
required

Use your Fractal API credentials.

Username = Client ID Password = Secret Key

Sandbox credentials can be generated from the Test Portal.

Headers

string
Example:

"9ee4a08a-2e34-11ef-af4e-0ef0812e6179"

Path Parameters

customerId
string
required

The customer's unique ID. Returned in the customer_id field of the Create Customer (POST /customers/add) response. To retrieve a list of all customers and their IDs, use the Get Customers (GET /customers) endpoint.

Query Parameters

string
Example:

""

Body

amount
number
required
Example:

1

merchant_key
string
required

The merchant's unique key. Returned in the merchant_key field of the get merchants by client call.

Example:

"{{merchant_key}}"

order_id
string
required
Example:

"5465446"

preAuth
boolean
required
Example:

true

Response

200 - application/json

Charge Customer / Charge Customer PreAuth

data
object
message
string
Example:

"Payment captured successfully."

result
boolean
Example:

true

transaction_id
string
Example:

"txn_0e99eb7c5a"